/* TOP */

/* common */

h1{
  font-size:1rem;
  margin:0;
}

h2{
  font-size:2rem;
  font-weight:300;
  margin-bottom:50px;
}

h3{
  font-size:1.5rem;
  font-weight:300;
}

.wrap{
  margin:0;
  padding:0;
  width:100%;
}

.main-contents{
  margin-top:0px; /* headerの高さ分 */
}

/* keyvisual */
.slide-keyvisual {
  overflow: hidden;
  position: relative;
  height:680px;
}

/* keyvisual-slide */
.keyvisual {
  opacity: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  position: absolute;
  left: 0;
  top: 0;
}

.keyvisual:nth-of-type(1) {
  animation: anime-keyvisual1 32s ease infinite;
  -webkit-animation-delay: 0s;
  animation-delay: 0s;
}

.keyvisual:nth-of-type(2) {
  animation: anime-keyvisual2 32s ease infinite;
  -webkit-animation-delay: 8s;
  animation-delay: 8s;
}

.keyvisual:nth-of-type(3) {
  animation: anime-keyvisual3 32s ease infinite;
  -webkit-animation-delay: 16s;
  animation-delay: 16s;
}

.keyvisual:nth-of-type(4) {
  animation: anime-keyvisual4 32s ease infinite;
  -webkit-animation-delay: 24s;
  animation-delay: 24s;
}

/*画像が4枚で、100%の4等分で1枚あたり約25%となる。*/
@keyframes anime-keyvisual1 {
  0%   { opacity: 0; }
  4%   { opacity: 1; }
  25%  { opacity: 1; }
  35%  { opacity: 0; }
  100% { opacity: 0; }
}

@keyframes anime-keyvisual2 {
  0%   { opacity: 0; }
  4%   { opacity: 1; }
  25%  { opacity: 1; }
  35%  { opacity: 0; }
  100% { opacity: 0; }
}

@keyframes anime-keyvisual3 {
  0%   { opacity: 0; }
  4%   { opacity: 1; }
  25%  { opacity: 1; }
  35%  { opacity: 0; }
  100% { opacity: 0; }
}

@keyframes anime-keyvisual4 {
  0%   { opacity: 0; }
  4%   { opacity: 1; }
  25%  { opacity: 1; }
  35%  { opacity: 0; }
  100% { opacity: 0; }
}

@-webkit-keyframes anime-keyvisual1 {
  0%   { opacity: 0; }
  4%   { opacity: 1; }
  25%  { opacity: 1; }
  35%  { opacity: 0; }
  100% { opacity: 0; }
}

@-webkit-keyframes anime-keyvisual2 {
  0%   { opacity: 0; }
  4%   { opacity: 1; }
  25%  { opacity: 1; }
  35%  { opacity: 0; }
  100% { opacity: 0; }
}

@-webkit-keyframes anime-keyvisual3 {
  0%   { opacity: 0; }
  4%   { opacity: 1; }
  25%  { opacity: 1; }
  35%  { opacity: 0; }
  100% { opacity: 0; }
}

@-webkit-keyframes anime-keyvisual4 {
  0%   { opacity: 0; }
  4%   { opacity: 1; }
  25%  { opacity: 1; }
  35%  { opacity: 0; }
  100% { opacity: 0; }
}

/* top-message-slide */
.top-message:nth-of-type(1) {
  animation: anime-message1 32s ease infinite;
  -webkit-animation-delay: 0s;
  animation-delay: 0s;
}

.top-message:nth-of-type(2) {
  animation: anime-message2 32s ease infinite;
  -webkit-animation-delay: 8s;
  animation-delay: 8s;
}

.top-message:nth-of-type(3) {
  animation: anime-message3 32s ease infinite;
  -webkit-animation-delay: 16s;
  animation-delay: 16s;
}

.top-message:nth-of-type(4) {
  animation: anime-message4 32s ease infinite;
  -webkit-animation-delay: 24s;
  animation-delay: 24s;
}

.top-message:nth-of-type(5) {
  animation: anime-message5 32s ease infinite;
  -webkit-animation-delay: 32s;
  animation-delay: 32s;
}

/* message-animation */
/*テキストが5つで、100%の5等分で1枚あたり約20%となる。*/
@keyframes anime-message1 {
  0%   { opacity: 0; }
  4%   { opacity: 1; }
  25%  { opacity: 1; }
  35%  { opacity: 0; }
  100% { opacity: 0; }
}

@keyframes anime-message2 {
  0%   { opacity: 0; }
  4%   { opacity: 1; }
  25%  { opacity: 1; }
  35%  { opacity: 0; }
  100% { opacity: 0; }
}

@keyframes anime-message3 {
  0%   { opacity: 0; }
  4%   { opacity: 1; }
  25%  { opacity: 1; }
  35%  { opacity: 0; }
  100% { opacity: 0; }
}

@keyframes anime-message4 {
  0%   { opacity: 0; }
  4%   { opacity: 1; }
  25%  { opacity: 1; }
  35%  { opacity: 0; }
  100% { opacity: 0; }
}

@-webkit-keyframes anime-message1 {
  0%   { opacity: 0; }
  4%   { opacity: 1; }
  25%  { opacity: 1; }
  35%  { opacity: 0; }
  100% { opacity: 0; }
}

@-webkit-keyframes anime-message2 {
  0%   { opacity: 0; }
  4%   { opacity: 1; }
  25%  { opacity: 1; }
  35%  { opacity: 0; }
  100% { opacity: 0; }
}

@-webkit-keyframes anime-message3 {
  0%   { opacity: 0; }
  4%   { opacity: 1; }
  25%  { opacity: 1; }
  35%  { opacity: 0; }
  100% { opacity: 0; }
}

@-webkit-keyframes anime-message4 {
  0%   { opacity: 0; }
  4%   { opacity: 1; }
  25%  { opacity: 1; }
  35%  { opacity: 0; }
  100% { opacity: 0; }
}

.top-message {
  opacity:0;
  position:absolute;
  left:0;
  right:0;
  bottom:20px;
  margin: auto;
  text-align:center;
  text-shadow: 2px 2px 10px #000 ,
  -2px 2px 10px #000 ,
  2px -2px 10px #000 ,
  -2px -2px 10px #000;
  color:#fff;
  z-index:10;
}

.top-message h2{
  margin:0;
  font-size:1.8rem;
  font-weight:500;
}

.top-message .border{
  border-bottom:1px solid #fff;
  box-shadow: 2px 2px 10px #000 ,
  -2px 2px 10px #000 ,
  2px -2px 10px #000 ,
  -2px -2px 10px #000;
  margin:5px 0;
}

.top-message span {
  font-size:1.1rem;
}


/* news */
.news-box{
  padding:50px 0;
  background:#272727;
  width:100%;
  margin:0 auto;
  text-align:left;
}

.news{
  display:flex;
  display:-webkit-box;
  display:-moz-box;
  display:-ms-flexbox;
  display:-webkit-flex;
  display:-moz-flex;
  -webkit-box-lines:multiple;
  -moz-box-lines:multiple;
  -webkit-flex-wrap:wrap;
  -moz-flex-wrap:wrap;
  -ms-flex-wrap:wrap;
  flex-wrap:wrap;
  width:1000px;
  margin:0 auto;
  margin-bottom:50px;
}

.news-title{
  padding-right:30px;
  border-right:1px solid #fff;
  line-height:2;
  width:15%;
}

.news-title h2{
  font-size:1.2rem;
  color:#fff;
  margin-bottom:5px;
}

.news-list{
  color:#fff;
  padding-left:5%;
  width:80%;
}

.news-list ul li{
  margin-top:5px;
}

.news-list ul li span{
  margin-right:20px;
}

.news-list dl dt{
  width:25%;
  padding-right:5%;
  margin:10px 0;
}
.news-list dl dd{
  width:75%;
  margin:10px 0;
}

/* top-banner */
.banner {
  width:1000px;
  margin:0 auto;
}

/* menu-slide */

.slide-box {
  overflow: hidden;
  position: relative;
}

/* solide-image 画像4枚の場合 */
.item4-image {
  opacity: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  position: absolute;
  left: 0;
  top: 0;
  -webkit-animation: anime-menu4 20s 0s infinite;
  animation: anime-menu4 20s 0s infinite;
}

.item4-image:nth-of-type(2) {
  -webkit-animation-delay: 5s;
  animation-delay: 5s;
}

.item4-image:nth-of-type(3) {
  -webkit-animation-delay: 10s;
  animation-delay: 10s;
}

.item4-image:nth-of-type(4) {
  -webkit-animation-delay: 15s;
  animation-delay: 15s;
}

/* animation */
@keyframes anime-menu4 {
  0% {
    opacity: 1;
  }
  20% {
    opacity: 1;
  }
  28% {
    opacity: 1;
  }
  35% {
    opacity: 0;
    z-index: 9;
  }
  100% {
    opacity: 0;
  }
  }
  
  @-webkit-keyframes anime-menu4 {
  0% {
    opacity: 1;
  }
  20% {
    opacity: 1;
  }
  28% {
    opacity: 1;
  }
  35% {
    opacity: 0;
    z-index: 9;
  }
  100% {
    opacity: 0;
  }
  }

/* solide-image 画像3枚の場合 */
.item3-image {
  opacity: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  position: absolute;
  left: 0;
  top: 0;
  -webkit-animation: anime-menu3 15s 0s infinite;
  animation: anime-menu3 15s 0s infinite;
}

.item3-image:nth-of-type(2) {
  -webkit-animation-delay: 5s;
  animation-delay: 5s;
}

.item3-image:nth-of-type(3) {
  -webkit-animation-delay: 10s;
  animation-delay: 10s;
}

/* animation */
@keyframes anime-menu3 {
0% {
  opacity: 1;
}
30% {
  opacity: 1;
}
35% {
  opacity: 1;
}
50% {
  opacity: 0;
  z-index: 9;
}
100% {
  opacity: 0;
}
}

@-webkit-keyframes anime-menu3 {
0% {
  opacity: 1;
}
30% {
  opacity: 1;
}
35% {
  opacity: 1;
}
50% {
  opacity: 0;
  z-index: 9;
}
100% {
  opacity: 0;
}
}


/*  Menu  */
.menu{
  display:flex;
  display:-webkit-box;
  display:-moz-box;
  display:-ms-flexbox;
  display:-webkit-flex;
  display:-moz-flex;
  -webkit-box-lines:multiple;
  -moz-box-lines:multiple;
  -webkit-flex-wrap:wrap;
  -moz-flex-wrap:wrap;
  -ms-flex-wrap:wrap;
  flex-wrap:wrap;
  flex-direction:row-reverse; /* 左右を入れ替え */
  height:450px;
}

.menu div{
  flex: 0 0 50%;
}
.menu-image img{
  width:100%;
  height:100%;
}

.menu-text-area{
  background:url(../images/bg-white.jpg);
  position:relative;
}

.menu-text{
  position:absolute;
  top: 49%;
  left: 50%;
  transform: translateY(-50%) translateX(-50%);
  -webkit-transform: translateY(-50%) translateX(-50%);
  margin: auto;
  text-align:center;
  width:100%;
}

.menu-text h2{
  margin-bottom:30px;
}

.menu-text h3{
  margin-bottom:15px;
}

.menu-text p{
  line-height:1.8;
  margin:0;
}

.menu-text a{
  position: relative;
  display: inline-block;
  padding: .75em 2em;
  color: #fff;
  text-align: center;
  text-decoration: none;
  transition: .3s;
  z-index:1;
  font-size:0.9rem;
  background:#000;
  margin-top:40px;
}

.menu-text a::before{
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: -1;
  content: '';
  background: #666;
  transform-origin: left top;
  transform: scale(1, 0);
  transition: transform .3s;
}

.menu-text a:hover{
  color:#fff;
  z-index:1;
}

.menu-text a:hover::before{
  transform-origin: left top;
  transform: scale(1, 1);
}

/* Drink Menu  */
.drinkmenu{
  display:flex;
  display:-webkit-box;
  display:-moz-box;
  display:-ms-flexbox;
  display:-webkit-flex;
  display:-moz-flex;
  -webkit-box-lines:multiple;
  -moz-box-lines:multiple;
  -webkit-flex-wrap:wrap;
  -moz-flex-wrap:wrap;
  -ms-flex-wrap:wrap;
  flex-wrap:wrap;
  height:450px;
}

.drinkmenu div{
  flex: 0 0 50%;
}

.drinkmenu-image img{
  width:100%;
  height:100%;
}

.drinkmenu-text-area{
  background:url(../images/bg-white.jpg);
  position:relative;
}

.drinkmenu-text{
  position:absolute;
  top: 49%;
  left: 50%;
  transform: translateY(-50%) translateX(-50%);
  -webkit-transform: translateY(-50%) translateX(-50%);
  margin: auto;
  text-align:center;
  width:100%;
}

.drinkmenu-text h2{
  margin-bottom:30px;
}



.drinkmenu-text a{
  position: relative;
  display: inline-block;
  padding: .75em 2em;
  color: #fff;
  text-align: center;
  text-decoration: none;
  transition: .3s;
  z-index:1;
  font-size:0.9rem;
  background:#000;
  margin-top:40px;
}

.drinkmenu-text a::before{
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: -1;
  content: '';
  background: #666;
  transform-origin: left top;
  transform: scale(1, 0);
  transition: transform .3s;
}

.drinkmenu-text a:hover{
  color:#fff;
  z-index:1;
}

.drinkmenu-text a:hover::before{
  transform-origin: left top;
  transform: scale(1, 1);
}


/*  Floor  */
.floor{
  background:url(../images/bg-white.jpg);
  background-size:100%;
}

.floor-image{
  width:100%;
  height:450px;
}

.floor-image img{
  width:100%;
  height:100%;
}

.floor-text{
  width:100%;
  text-align:center;
  padding:45px 0px;
}

.floor-text h2{
  color:#000;
  margin-bottom:40px;
}

.floor-text p{
  line-height:1.8;
}

/*  Access  */

.access img{
  width:100%;
  vertical-align:bottom;
  object-fit:cover;
  height:400px;
}

.access-text{
  width:100%;
  background:url(../images/bg-pattern.jpg);
  text-align:center;
  padding:45px 0px;
}

.access-text h2{
  margin-bottom:40px;
}

.access-text h3{
  font-size:1.2rem;
}

.access-text p{
line-height:1.8;
}


@media screen and ( max-width:800px )
{

/* common */
h2{
  font-size:1.5rem;
  margin-bottom:20px;
}

h3{
  font-size:1.2rem;
  font-weight:300;
}

.wrap{
  width:100%;
}


/* キービジュアル */
.slide-keyvisual {
height:350px;
width:100%;
}

/* スライド各画像 */
.keyvisual {
width: 100%;
height: 100%;
object-fit:cover;
}


/* キービジュアル内メッセージ */
.top-message{
  width:100%;
  top:auto;
  bottom:15px;
}

.top-message h2{
  font-size:1.2rem;
}

.top-message span{
  font-size:0.8rem;
}

.news{
width:100%;
}

.news div{
flex: none;
width:100%;
padding:0 5%;
}

.news-list ul li span{
display:block;
}

/* news */
.news-box{
padding:20px 0;
text-align:center;
}

.news-list dl dt{
  width:100%;
  text-align:left;
  margin:0;
  padding:0;
}

.news-list dl dd{
  width:100%;
  text-align:left;
  margin:0;
  margin-bottom:15px;
  padding:0;
}

.news{
  margin-bottom:0;
}

.banner {
  width:100%;
}

.banner div{
  flex: none;
  width:100%;
  padding:0 5%;
}

.banner div img{
  width:100%;
}
.banner div:nth-child(2) {
  margin:20px 0 0;
}

.banner div a span{
  padding:10px 15px;
  font-size:0.9rem;
  left:auto;
  right:5%;
  width:90%;
}


/*  menu-slide  */

/* slide-image */
.item-image {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

/*  Menu  */
.menu{
  height:auto;
}

.menu div{
  flex: none;
  width:100%;
}

.menu-text-area{
  position:static;
  padding:20px;
}
.menu-text{
  position:static;
  transform: translateY(0%) translateX(0%);
  -webkit-transform: translateY(0%) translateX(0%);
}

.menu-text h2{
  margin-bottom:20px;
}

.menu-text h3{
  margin-bottom:10px;
}

.menu-text p{
  line-height:1.6;
}

.menu-text a{
  margin-top:20px;
}

.menu-image{
  height:200px;
}

.drinkmenu{
  height:auto;
}

.drinkmenu div{
  flex: none;
  width:100%;
}

.drinkmenu-text-area{
    position:static;
    padding:20px;
}
.drinkmenu-text{
    position:static;
    transform: translateY(0%) translateX(0%);
    -webkit-transform: translateY(0%) translateX(0%);
}

.drinkmenu-text h2{
  margin-bottom:20px;
}

.drinkmenu-text p{
  line-height:1.6;
}

.drinkmenu-text a{
  margin-top:20px;
}

.drinkmenu-image{
  height:200px;
}


/*  Floor  */
.floor-image{
  width:100%;
  height:200px;
}
.floor-text{
  padding:20px;
}

.floor-text h2{
  margin-bottom:20px;
}

.floor-text p{
  line-height:1.6;
}

.floor img{
  height:auto;
}

/*  Access  */
.access-text{
  padding:20px;
}

.access-text h2{
  margin-bottom:20px;
}

.access-text h3{
  font-size:1.1rem;
}

.access-text p{
  line-height:1.6;
}

.access img{
  height:auto;
}

}